跳转到主要内容
PATCH
/
v1
/
public
/
accounts
/
{account_id}
/
mailboxes
/
{mailbox}
更新邮箱
curl --request PATCH \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes/{mailbox} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "<string>",
  "last_name": "<string>"
}
'
{
  "created_at": "<string>",
  "domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "domain_name": "<string>",
  "first_name": "<string>",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "last_name": "<string>",
  "local_part": "<string>",
  "primary_email": "<string>",
  "quota": {
    "allowed": 123,
    "used": 123
  },
  "status": "<string>",
  "updated_at": "<string>",
  "aliases": [
    {
      "alias": "<string>",
      "is_catch_all": false
    }
  ],
  "workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspace_name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

路径参数

account_id
string<uuid>
必填
mailbox
string
必填

请求体

application/json

面向客户的邮箱更新请求。

first_name
string | null
last_name
string | null

响应

created_at
string
必填

邮箱创建时间戳

domain_id
string<uuid>
必填

邮箱域名 UUID

domain_name
string
必填

邮箱的域名

first_name
string
必填

邮箱用户名

id
string<uuid>
必填

邮箱UUID

last_name
string
必填

邮箱用户姓氏

local_part
string
必填

at 符号之前的邮箱本地部分

primary_email
string
必填

主邮箱电子邮件地址

quota
MailboxQuotaDTO · object
必填

邮箱配额使用情况

status
string
必填

邮箱生命周期状态

updated_at
string
必填

邮箱上次更新时间戳

aliases
MailboxAliasDTO · object[]

邮箱的别名

workspace_id
string<uuid> | null

邮箱的工作区 UUID

workspace_name
string | null

工作区显示名称